Mailinglist Archive: opensuse-security-announce (11 mails)

< Previous Next >
[security-announce] SUSE-SU-2014:1294-1: important: Security update for rsyslog
SUSE Security Update: Security update for rsyslog
______________________________________________________________________________

Announcement ID: SUSE-SU-2014:1294-1
Rating: important
References: #890228 #897262 #899756
Cross-References: CVE-2014-3634 CVE-2014-3683
Affected Products:
SUSE Linux Enterprise Server 11 SP3 for VMware
SUSE Linux Enterprise Server 11 SP3
______________________________________________________________________________

An update that solves two vulnerabilities and has one
errata is now available.

Description:


rsyslog has been updated to fix a remote denial of service issue:

* Under certain configurations, a local or remote attacker able to
send syslog messages to the server could have crashed the log server
due to an array overread. (CVE-2014-3634, CVE-2014-3683)

Security Issues:

* CVE-2014-3634
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3634>
* CVE-2014-3683
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3683>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 11 SP3 for VMware:

zypper in -t patch slessp3-rsyslog-9840

- SUSE Linux Enterprise Server 11 SP3:

zypper in -t patch slessp3-rsyslog-9840

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):

rsyslog-5.10.1-0.11.1
rsyslog-diag-tools-5.10.1-0.11.1
rsyslog-doc-5.10.1-0.11.1
rsyslog-module-gssapi-5.10.1-0.11.1
rsyslog-module-gtls-5.10.1-0.11.1
rsyslog-module-mysql-5.10.1-0.11.1
rsyslog-module-pgsql-5.10.1-0.11.1
rsyslog-module-relp-5.10.1-0.11.1
rsyslog-module-snmp-5.10.1-0.11.1
rsyslog-module-udpspoof-5.10.1-0.11.1

- SUSE Linux Enterprise Server 11 SP3 (i586 ia64 ppc64 s390x x86_64):

rsyslog-5.10.1-0.11.1
rsyslog-diag-tools-5.10.1-0.11.1
rsyslog-doc-5.10.1-0.11.1
rsyslog-module-gssapi-5.10.1-0.11.1
rsyslog-module-gtls-5.10.1-0.11.1
rsyslog-module-mysql-5.10.1-0.11.1
rsyslog-module-pgsql-5.10.1-0.11.1
rsyslog-module-relp-5.10.1-0.11.1
rsyslog-module-snmp-5.10.1-0.11.1
rsyslog-module-udpspoof-5.10.1-0.11.1


References:

http://support.novell.com/security/cve/CVE-2014-3634.html
http://support.novell.com/security/cve/CVE-2014-3683.html
https://bugzilla.suse.com/show_bug.cgi?id=890228
https://bugzilla.suse.com/show_bug.cgi?id=897262
https://bugzilla.suse.com/show_bug.cgi?id=899756

http://download.suse.com/patch/finder/?keywords=bf1479391eaebb0445fd0ffa9182ee43

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages